libgphoto2 photo camera library (libgphoto2) API: _GPPortOperations Struct Reference

libgphoto2 photo camera library (libgphoto2) API 2.5.33

Loading...
Searching...
No Matches
_GPPortOperations Struct Reference

The port operations. More...

`#include <gphoto2-port-library.h>`

## Data Fields
int(* | init )(GPPort *)
int(* | exit )(GPPort *)
int(* | open )(GPPort *)
int(* | close )(GPPort *)
int(* | read )(GPPort *, char *, int)
int(* | check_int )(GPPort *, char *, int, int)
int(* | write )(GPPort *, const char *, int)
int(* | update )(GPPort *)
int(* | get_pin )(GPPort *, GPPin, GPLevel *)
int(* | set_pin )(GPPort *, GPPin, GPLevel)
int(* | send_break )(GPPort *, int)
int(* | flush )(GPPort *, int)
int(* | find_device )(GPPort *dev, int idvendor, int idproduct)
int(* | find_device_by_class )(GPPort *dev, int class, int subclass, int protocol)
int(* | clear_halt )(GPPort *dev, int ep)
int(* | msg_write )(GPPort *dev, int request, int value, int index, char *bytes, int size)
int(* | msg_read )(GPPort *dev, int request, int value, int index, char *bytes, int size)
int(* | msg_interface_write )(GPPort *dev, int request, int value, int index, char *bytes, int size)
int(* | msg_interface_read )(GPPort *dev, int request, int value, int index, char *bytes, int size)
int(* | msg_class_write )(GPPort *dev, int request, int value, int index, char *bytes, int size)
int(* | msg_class_read )(GPPort *dev, int request, int value, int index, char *bytes, int size)
int(* | seek )(GPPort *dev, int offset, int whence)
int(* | send_scsi_cmd )(GPPort *port, int to_dev, char *cmd, int cmd_size, char *sense, int sense_size, char *data, int data_size)
int(* | reset )(GPPort *)

## Detailed Description

The port operations.

These operations are to be implemented and set by the port library, which drives the lowlevel protocol (serial, usb, etc.).

They are accessed using the accessor functions, like gp_port_open(), gp_port_read() and gp_port_write().

The documentation for this struct was generated from the following file:

- libgphoto2_port/gphoto2/gphoto2-port-library.h